Resource Center/Hardware/Backup Storage Operations/Ceph Backup Storage Operations
DELETECeph Backup Storage OperationsSince 0.6SynchronousAuth Required
RemoveMonFromCephBackupStorage
RemoveMonFromCephBackupStorage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the Ceph backup storage.
Body Fields
monHostnamesListRequiredThe hostnames of the Ceph mon (monitor daemon).
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}
/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/backup-storage/ceph/{uuid}/mons?monHostnames={monHostnames}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"monHostnames":["<monHostnames>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
